let grpc_test = require('generated_grpc_js');

let grpc = require('grpc');

function sayHello(call, callback) {
  let reply = new grpc_test.Messages.GreetingOutput();
  reply.setHello(call.request.getName());
  callback(null, reply);
}

/**
 * Starts an RPC server that receives requests for the Greeter service at the
 * sample server port
 */
function main() {
  let server = new grpc.Server();
  server.addService(grpc_test.Services.HelloService, {greeting: sayHello});
  server.bind('0.0.0.0:50051', grpc.ServerCredentials.createInsecure());
  server.start();
}

main();

